@import "assets/scss/variables";
.container {
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 12px;

    .filter-box {
        display: flex;
        gap: 10px;

        .btn-reset {
            color: #7c68ee;
            border-color: #7c68ee;
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 8px;
            border-radius: 40px;
            transition: all .3s;

            &:hover {
                background-color: #7c68ee1a;
            }

            svg {
                path {
                    fill: #7c68ee;
                }
            }
        }
    }

    .table-data {
        width: 100%;
        height: calc(100% - 42px);
        display: flex;
        flex-direction: column;

        .header {
            width: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;
            height: 44px;
            padding: 0 20px;
            background: #F9E5D7;
            border-radius: 16px 16px 0px 0px;

            > * {
                height: 100%;
                display: flex;
                align-items: center;
                font-weight: 600;
                font-size: 13px;
                line-height: 20px;
                color: #8B5252;

                &:nth-child(1) {
                    width: calc(35% - 50px);
                }

                &:nth-child(2) {
                    width: 15%;
                }

                &:nth-child(3) {
                    width: 15%;
                }

                &:nth-child(4) {
                    width: 20%;
                }

                &:nth-child(5) {
                    width: 15%;
                }

                &:nth-child(6) {
                    width: 50px;
                }
            }
        }

        .body {
            width: 100%;
            overflow: auto;
            height: calc(100% - 44px);
            position: relative;

            .item {
                display: flex;
                flex-direction: column;

                &:nth-child(2n) {
                    .item-info {
                        background: #F7F8FC;
                    }
                }

                .item-info {
                    width: 100%;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    height: 55px;
                    padding: 0 20px;
                    background: #FFFFFF;

                    > * {
                        display: flex;
                        align-items: center;
                        height: 100%;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 20px;
                        padding-right: 5px;

                        span, a {
                            display: block;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;
                            white-space: nowrap;
                            overflow: hidden;
                            text-overflow: ellipsis;
                        }

                        &:nth-child(1) {
                            width: calc(35% - 50px);

                            a {
                                color: #7660FE;
                                width: 100%;
                                display: block;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }

                        &:nth-child(2) {
                            width: 15%;

                            span {
                                width: 100%;
                                display: block;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }

                        &:nth-child(3) {
                            width: 15%;

                            span {
                                width: 100%;
                                display: block;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }

                        &:nth-child(4) {
                            width: 20%;
                            display: flex;
                            flex-direction: row;
                            gap: 5px;
                            span{
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                color: #202226;
                            }
                            .title,.timer,.date{
                                display: flex;
                                flex-direction: column;
                            }

                            &.ongoing{
                                .title,.timer,.date{
                                    span{
                                        &:nth-child(1){
                                            color: #757688;
                                        }
                                    }
                                }
                            }

                            &.ended{
                                span{
                                    color: #757688;
                                }
                            }
                        }

                        &:nth-child(5) {
                            width: 15%;
                            span{
                                min-width: 130px;
                                display: block;
                                padding: 5px 10px;
                                background: #FFEFD9;
                                color: #F79945;
                                border-radius: 60px;
                                font-weight: 500;
                                font-size: 14px;
                                line-height: 20px;
                                text-align: center;

                                &.ongoing{
                                    background: #D7F9F5;
                                    color: #21C274;
                                }

                                &.ended{
                                    background: #FFCACA;
                                    color: #EF4E2B;
                                }
                            }
                        }

                        &:nth-child(6) {
                            width: 50px;
                            justify-content: center;
                            padding-right: 0;
                            &.action{
                                button{
                                    height: 36px;
                                    width: 36px;
                                    border-radius: 12px;
                                    line-height: 14px;
                                    background-color: transparent;

                                    &:hover{
                                        background-color: #e4e4f0;
                                    }
                                }
                            }
                        }
                    }
                }

                .tap {
                    width: 100%;
                    display: flex;
                    flex-direction: row;

                    .tap-item {
                        display: flex;
                        align-items: center;
                        height: 39px;
                        padding: 12px 16px;
                        background: #E2E5F2;
                        border-radius: 16px 16px 0 0;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 20px;
                        color: #FFFFFF;
                        cursor: pointer;

                        &.active {
                            background: #7660FE;
                        }
                    }
                }
            }

            .no-data {
                height: 100%;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                gap: 20px;

                img {
                    width: 320px;
                    height: 200px;
                    object-fit: contain;
                    object-position: center;
                }

                span {
                    color: #526375;
                    font-size: 16px;
                    line-height: 24px;
                    text-align: center;
                }
            }
        }
    }

}

.select-picker {
    --rs-picker-value: #000000;
    --rs-input-focus-border: #e5e5ea;
    --rs-state-focus-shadow: '';

    ul {
        width: 100%;
        li {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
}

.menu-select-picker {
    --rs-listbox-option-selected-text: #ed3902;
    --rs-listbox-option-selected-bg: #fff8f4;

    --rs-listbox-option-hover-text: #ed3902;
    --rs-listbox-option-hover-bg: #fff8f4;
}

.popoverWrapper {
    border-radius: 12px;
    padding: 10px;

    > * {
        display: flex;
        flex-direction: column;
        gap: 5px;

        > * {
            display: flex;
            flex-direction: row;
            gap: 10px;
            padding: 5px 10px;
            align-items: center;
            cursor: pointer;

            svg{
                width: 16px;
                height: 16px;

                path{
                    fill: #8E91A0;
                }
                [stroke-linecap="round"]{
                    fill: none;
                    stroke: #8E91A0;
                }
            }
            span {
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                color: #202226;
            }
            &:hover{
                background-color: $primary-color3;
                border-radius: 8px;

                svg{
                    path{
                        fill: $primary-color2;
                    }
                    [stroke-linecap="round"]{
                        fill: none;
                        stroke: $primary-color2;
                    }
                }
            }
        }
    }
}

.pagination{
    button{
        --rs-btn-ghost-text: #505091;
        --rs-btn-ghost-hover-text: #505091;
        --rs-btn-ghost-active-text: #505091;
        --rs-btn-ghost-border: #FFFFFF;
        --rs-btn-ghost-hover-border: #FFFFFF;
        --rs-btn-ghost-active-border: #FFFFFF;

        font-weight: 700;
        font-size: 14px;
        border-radius: 8px;
    }
    button[class*="rs-pagination-btn-active"]{
        background-color: #e4e4f0 !important;
    }
}